Skip to main content
PUT
/
cards
/
virtual-cards
/
{cardId}
/
pin
curl -X PUT "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/pin" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "pin": "1234"
  }'
{
  "pin": "1234"
}
Updates the PIN code for a virtual card. Requires an API key with access level 3 or higher.

Path parameters

cardId
string
required
Card identifier.

Body

pin
string
required
New PIN for the card. Must be between 4 and 12 characters.

Response

pin
string
The updated PIN value.
curl -X PUT "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/pin" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "pin": "1234"
  }'
{
  "pin": "1234"
}